"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorSchema = exports.swaggerMethod = void 0;
const get_all_1 = require("./get-all");
const get_one_1 = require("./get-one");
const delete_one_1 = require("./delete-one");
const post_one_1 = require("./post-one");
const patch_one_1 = require("./patch-one");
const get_relationship_1 = require("./get-relationship");
const delete_relationship_1 = require("./delete-relationship");
const post_relationship_1 = require("./post-relationship");
const patch_relationship_1 = require("./patch-relationship");
exports.swaggerMethod = {
    getAll: get_all_1.getAll,
    getOne: get_one_1.getOne,
    deleteOne: delete_one_1.deleteOne,
    postOne: post_one_1.postOne,
    patchOne: patch_one_1.patchOne,
    getRelationship: get_relationship_1.getRelationship,
    deleteRelationship: delete_relationship_1.deleteRelationship,
    postRelationship: post_relationship_1.postRelationship,
    patchRelationship: patch_relationship_1.patchRelationship,
};
exports.errorSchema = {
    type: 'object',
    properties: {
        status: {
            type: 'number',
        },
        errors: {
            type: 'array',
            items: {
                type: 'object',
                properties: {
                    detail: {
                        type: 'string',
                    },
                    source: {
                        type: 'object',
                        properties: {
                            parameter: {
                                type: 'string',
                            },
                        },
                    },
                },
                required: ['detail'],
            },
        },
    },
};
//# sourceMappingURL=index.js.map