"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteOne = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const helper_1 = require("../../../../../helper");
function deleteOne(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const preparedResourceName = (0, helper_1.snakeToCamel)(this.repository.metadata.name);
        const { id } = options.route;
        const builder = this.repository.createQueryBuilder(preparedResourceName);
        builder.where({ id });
        const result = yield builder.getOne();
        if (!result) {
            throw new common_1.NotFoundException({
                detail: `Resource '${preparedResourceName}' with id '${id}' does not exist`,
            });
        }
        yield this.repository
            .createQueryBuilder(preparedResourceName)
            .delete()
            .where({ id })
            .execute();
        return void 0;
    });
}
exports.deleteOne = deleteOne;
//# sourceMappingURL=delete-one.js.map