"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postRelationship = void 0;
const tslib_1 = require("tslib");
function postRelationship(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { route: { id, relName }, body, } = options;
        const { rel, relationItem } = yield this.UtilsMethode.validateRelationRequestData(this.repository, id, relName, body);
        const postBuilder = this.repository
            .createQueryBuilder()
            .relation(relName)
            .of(id);
        if (['one-to-many', 'many-to-many'].includes(relationItem.relationType)) {
            yield postBuilder.add(rel.map((i) => i.id));
        }
        else {
            const { id } = Array.isArray(rel) ? rel.shift() : rel;
            yield postBuilder.set(id);
        }
        return {
            data: body,
        };
    });
}
exports.postRelationship = postRelationship;
//# sourceMappingURL=post-relationship.js.map